Subject: [97attendees] Systers today at lunch break, in Zest

From: Allison Mankin <[email-masked]>
Date: Thu, 17 Nov 2016 11:33:31 +0900

Reminder that Systers have our gathering starting at 12:10 in Zest.  Some
of you who signed up may have not joined the mailing list, so this is just
to make sure you have the location.

See you soon.